GDB (xrefs)

Public Types | Public Member Functions | Private Attributes | List of all members
ui_out_table Class Reference

## Public Types
enum | state { state::HEADERS, state::BODY }

## Public Member Functions
| ui_out_table (int entry_level, int nr_cols, const std::string &id)
void | start_body ()
void | append_header (int width, ui_align alignment, const std::string &col_name, const std::string &col_hdr)
void | start_row ()
bool | get_next_header (int *colno, int *width, ui_align *alignment, const char **col_hdr)
bool | query_field (int colno, int *width, int *alignment, const char **col_name) const
state | current_state () const
int | entry_level () const

## Private Attributes
state | m_state
int | m_entry_level
int | m_nr_cols
std::string | m_id
std::vector< std::unique_ptr< ui_out_hdr > > | m_headers
std::vector< std::unique_ptr< ui_out_hdr > >::const_iterator | m_headers_iterator

## Detailed Description

Definition at line 138 of file ui-out.c.

## Member Enumeration Documentation

## ◆ state

enum ui_out_table::state
| strong

Enumerator
HEADERS |
BODY |

Definition at line 144 of file ui-out.c.

## Constructor & Destructor Documentation

## ◆ ui_out_table()

ui_out_table::ui_out_table | ( | int | entry_level,
|  | int | nr_cols,
|  | const std::string & | id
| ) |  |
| inline explicit

Definition at line 153 of file ui-out.c.

## Member Function Documentation

## ◆ append_header()

void ui_out_table::append_header | ( | int | width,
|  | ui_align | alignment,
|  | const std::string & | col_name,
|  | const std::string & | col_hdr
| ) |  |

Definition at line 231 of file ui-out.c.

References _, HEADERS, internal_error(), m_headers, and m_state.

## ◆ current_state()

ui_out_table::state ui_out_table::current_state | ( |  | ) | const

Definition at line 302 of file ui-out.c.

References m_state.

## ◆ entry_level()

int ui_out_table::entry_level | ( |  | ) | const

Definition at line 309 of file ui-out.c.

References m_entry_level.

## ◆ get_next_header()

bool ui_out_table::get_next_header | ( | int * | colno,
|  | int * | width,
|  | ui_align * | alignment,
|  | const char ** | col_hdr
| ) |  |

Definition at line 256 of file ui-out.c.

References m_headers, and m_headers_iterator.

## ◆ query_field()

bool ui_out_table::query_field | ( | int | colno,
|  | int * | width,
|  | int * | alignment,
|  | const char ** | col_name
| ) |  | const

Definition at line 278 of file ui-out.c.

References gdb_assert, and m_headers.

## ◆ start_body()

void ui_out_table::start_body | ( |  | ) |

Definition at line 210 of file ui-out.c.

References _, BODY, HEADERS, internal_error(), m_headers, m_headers_iterator, m_nr_cols, and m_state.

## ◆ start_row()

void ui_out_table::start_row | ( |  | ) |

Definition at line 249 of file ui-out.c.

References m_headers, and m_headers_iterator.

## Member Data Documentation

## ◆ m_entry_level

int ui_out_table::m_entry_level
| private

Definition at line 192 of file ui-out.c.

Referenced by entry_level().

## ◆ m_headers

std::vector<std::unique_ptr<ui_out_hdr> > ui_out_table::m_headers
| private

Definition at line 202 of file ui-out.c.

Referenced by append_header(), get_next_header(), query_field(), start_body(), and start_row().

## ◆ m_headers_iterator

std::vector<std::unique_ptr<ui_out_hdr> >::const_iterator ui_out_table::m_headers_iterator
| private

Definition at line 205 of file ui-out.c.

Referenced by get_next_header(), start_body(), and start_row().

## ◆ m_id

std::string ui_out_table::m_id
| private

Definition at line 199 of file ui-out.c.

## ◆ m_nr_cols

int ui_out_table::m_nr_cols
| private

Definition at line 195 of file ui-out.c.

Referenced by start_body().

## ◆ m_state

state ui_out_table::m_state
| private

Definition at line 187 of file ui-out.c.

Referenced by append_header(), current_state(), and start_body().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/ui-out.c